      module ParamTileSizeVector
      integer, allocatable, dimension(:) :: param_tile_sizes
      end module

      subroutine ParamTileSizeVectorAlloc( size_)
      use ParamTileSizeVector
      integer size_ , i, alloc_status

      allocate(param_tile_sizes(size_),
     *       STAT = alloc_status)

      if(alloc_status /= 0) STOP "** Out of Memory **"

      do i = 1, size_
       param_tile_sizes(i) = 32
      end do

      end

      subroutine ParamTileSizeVectorInit
     *  (param_tile_sizes, nestedLoops, scopId)
      integer nestedLoops, scopId, i
      integer , dimension(50) :: param_tile_sizes
      do i = 1 , nestedLoops
         param_tile_sizes(i) = 32
      end do
      end

      subroutine ParamTileSizeVectorFree()
      use ParamTileSizeVector
      
      deallocate(param_tile_sizes)
      end
